### Method

# Gtk PadControllerset_action

#### Declaration [src]

    void
    gtk_pad_controller_set_action (
      GtkPadController* controller,
      GtkPadActionType type,
      int index,
      int mode,
      const char* label,
      const char* action_name
    )

#### Description [src]

Adds an individual action to `controller`.

This action will only be activated if the given button/ring/strip number in `index` is interacted while the current mode is `mode`. -1 may be used for simple cases, so the action is triggered on all modes.

The given `label` should be considered user-visible, so internationalization rules apply. Some windowing systems may be able to use those for user feedback.

#### Parameters

`type`

  Type: `GtkPadActionType`

  The type of pad feature that will trigger this action.

`index`

  Type: `int`

  The 0-indexed button/ring/strip number that will trigger this action.

`mode`

  Type: `int`

  The mode that will trigger this action, or -1 for all modes.

`label`

  Type: `const char*`

  Human readable description of this action, this string should be deemed user-visible.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`action_name`

  Type: `const char*`

  Action name that will be activated in the `GActionGroup`

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.